package com.ruixuan.report.service;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.utils.Result;

import java.util.List;

/**
 * 账户报表Service接口
 *
 * @author ruoyi
 * @date 2023-03-22
 */
public interface IKuaishouLiveAccountReportService {

    JSONObject operateHomePageHead(Long userId);

    List<JSONObject> getProjectCostList(Long userId, String startDate, String endDate);

    Result getOperationsGroupCostList(Long userId, String startDate, String endDate, Integer pageNum, Integer pageSize);

    List<JSONObject> getOperateCostList(Long userId, String startDate, String endDate);

    JSONObject getOperateCostTrendChartList(Long userId, String type, String startDate, String endDate);

    JSONObject getStatisticalReportHead(JSONObject request);

    List<JSONObject> getvisitorStatisticsTrendChartList(JSONObject request);

    List<JSONObject> nodeAccountCost(JSONObject request);

    List<JSONObject> getAccountDataReport(Long userId, String accountIdList, String startDate, String endDate);

    List<JSONObject> exportAccountDataReport(JSONObject request);

    Result getReportFields();

    Result addKuaishouFields(JSONObject request);

    Result getKuaishouFieldsByUserId(Long userId, String columnType);
}